Public Member Functions

# BuildRailDepotWindow Struct Reference

Inheritance diagram for BuildRailDepotWindow:

## Public Member Functions
| BuildRailDepotWindow (const WindowDesc *desc, Window *parent)
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 1634 of file rail_gui.cpp.

## Member Function Documentation

virtual void BuildRailDepotWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 1641 of file rail_gui.cpp.

References _cur_railtype, DIAGDIR_NE, IsInsideMM(), WID_BRAD_DEPOT_NE, and WID_BRAD_DEPOT_NW.

virtual void BuildRailDepotWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 1648 of file rail_gui.cpp.

References _build_depot_direction, _settings_client, SoundSettings::click_beep, Window::LowerWidget(), Window::RaiseWidget(), Window::SetDirty(), ClientSettings::sound, WID_BRAD_DEPOT_NE, WID_BRAD_DEPOT_NW, WID_BRAD_DEPOT_SE, and WID_BRAD_DEPOT_SW.

The documentation for this struct was generated from the following file:

- src/rail_gui.cpp